
<?php
  global $post,  $redux_builder_amp;
  do_action('ampforwp_above_related_post',$this); //Above Related Posts
    $string_number_of_related_posts = $redux_builder_amp['amp-number-of-related-posts'];   $int_number_of_related_posts = round(abs(floatval($string_number_of_related_posts)));

    // declaring this variable here to prevent debug errors
    $args = null;
    $orderby = 'ID';

// Order of related posts   
if( isset( $redux_builder_amp['ampforwp-single-order-of-related-posts'] ) && $redux_builder_amp['ampforwp-single-order-of-related-posts'] ){
  $orderby = 'rand';
}
    // Custom Post types 
       if( $current_post_type = get_post_type( $post )) {
                // The query arguments
          if($current_post_type != 'page'){
                $args = array(
                    'posts_per_page'=> $int_number_of_related_posts,
                    'order' => 'DESC',
                    'orderby' => $orderby,
                    'post_type' => $current_post_type,
                    'post__not_in' => array( $post->ID )
                ); 
            }       
    }//end of block for custom Post types
    if($redux_builder_amp['amp-single-select-type-of-related']==2){
        $categories = get_the_category($post->ID);
          if ($categories) {
              $category_ids = array();
              foreach($categories as $individual_category) $category_ids[] = $individual_category->term_id;
              $args=array(
                  'category__in' => $category_ids,
                  'post__not_in' => array($post->ID),
                  'posts_per_page'=> $int_number_of_related_posts,
                  'ignore_sticky_posts'=>1,
                  'has_password' => false ,
                  'post_status'=> 'publish',
                  'orderby'        => $orderby,
              );
            }
      } //end of block for categories
      //code block for tags
     if($redux_builder_amp['amp-single-select-type-of-related']==1) {
          $ampforwp_tags = get_the_tags($post->ID);
            if ($ampforwp_tags) {
                    $tag_ids = array();
                    foreach($ampforwp_tags as $individual_tag) $tag_ids[] = $individual_tag->term_id;
                    $args=array(
                       'tag__in' => $tag_ids,
                        'post__not_in' => array($post->ID),
                        'posts_per_page'=> $int_number_of_related_posts,
                        'ignore_sticky_posts'=>1,
                        'has_password' => false ,
                        'post_status'=> 'publish',
                        'orderby'      => $orderby,
                    );
          }
      }//end of block for tags
      // Related Posts Based on Past few Days 
      if ( isset($redux_builder_amp['amp-related-posts-days-switch']) && true == $redux_builder_amp['amp-related-posts-days-switch'] ) {
        $date_range = strtotime ( '-' . $redux_builder_amp['amp-related-posts-days-text'] .' day' );
        $args['date_query'] = array(
                          array(
                              'after' => array(
                                  'year'  => date('Y', $date_range ),
                                  'month' => date('m', $date_range ),
                                  'day'   => date('d', $date_range ),
                                ),
                            )
                        ); 
      }
      $my_query = new wp_query( $args );
      if ( isset($redux_builder_amp['amp-single-related-posts-switch']) && $redux_builder_amp['amp-single-related-posts-switch'] ) {
          if( $my_query->have_posts() ) { ?>
            <div class="releated-article">
            <div class="releated-article-title">
                        <span><?php echo ampforwp_translation( $redux_builder_amp['amp-translator-related-text'], 'Related Post' ); ?></span>
                        </div><!--#930-->
                <div class="related_posts">
                    <ol class="clearfix">

                        <?php
                        while( $my_query->have_posts() ) {
                            $my_query->the_post();
                            global $subdomain_checker;
        $subdomain_checker = ( function_exists('ampforwp_get_setting') && true == ampforwp_get_setting('amp-subdomain-url-format') && 'subdomain' == ampforwp_get_setting('amp-subdomain-endpoint') );
                              $related_post_permalink = get_permalink();
                              $related_post_permalink = trailingslashit($related_post_permalink);
                              if($subdomain_checker == 1){
                                $related_post_permalink = trailingslashit( $related_post_permalink );
                              }
                                else{
$related_post_permalink = trailingslashit( $related_post_permalink . AMPFORWP_AMP_QUERY_VAR );
}
                      if ( isset($redux_builder_amp[
                         'amp-single-related-posts-link']) && true == $redux_builder_amp['amp-single-related-posts-link'] ) {
                                         $related_post_permalink = get_permalink();
                                        }
                            ?>
                            <li class="<?php if ( has_post_thumbnail() ) { echo'has_related_thumbnail'; } else { echo 'no_related_thumbnail'; } ?>">
                              <div class="related-post_image">
                              <?php
                               // $thumb_id_2 = get_post_thumbnail_id();
                               // $thumb_url_array_2 = wp_get_attachment_image_src($thumb_id_2, 'thumbnail', true);
                                $thumb_url_2 = ampforwp_get_post_thumbnail();
                              ?>

                              <?php if ( true == $redux_builder_amp['amp-single-related-posts-image'] ) {
                               global $subdomain_checker;
                               $subdomain_checker = ( function_exists('ampforwp_get_setting') && true == ampforwp_get_setting('amp-subdomain-url-format') && 'subdomain' == ampforwp_get_setting('amp-subdomain-endpoint') ); 
                               global $redux_builder_amp; 
                                 $width  = 150;
                                 $height = 150;
                                 if(ampforwp_has_post_thumbnail()){ $args = array("tag"=>'div',"tag_class"=>'image-container','image_size'=>'full','image_crop'=>'true','image_crop_width'=>$width,'image_crop_height'=>$height, 'responsive'=> true); ?>
                                    <div class="block-image">
                                      <?php amp_loop_image($args); ?>
                                    </div><?php } }?>
                                    </a>
                                    </div>
                                <div class="related_link">
                                    <a href="<?php if($subdomain_checker == 1){ echo ampforwp_font_url(esc_url( $related_post_permalink )); }else{echo esc_url( $related_post_permalink );}?>"><?php the_title(); ?></a>
                                    <?php if ( true == $redux_builder_amp['amp-single-related-posts-excerpt'] ) { if(has_excerpt()){
                                      $content = get_the_excerpt();
                                    }else{
                                      $content = get_the_content();
                                    }
                                    ?>
                                    <?php
                                    $excerpt_length = $redux_builder_amp['amp-single-excerpt-length-related-posts'];
                                 if(empty($excerpt_length)){
                                     $excerpt_length = 15;
                                      }
                          ?> <p> <?php  echo wp_trim_words( strip_shortcodes( $content ) , $excerpt_length ); ?></p>
                             <?php } ?>   
                                </div>
                            </li>
                            <?php
                          }

                  } ?>
                  </ol>
                </div>
            </div> <?php
        wp_reset_postdata();
//related posts code ends here
    ?>
<?php do_action('ampforwp_below_related_post_hook',$this);
}