<?php global $redux_builder_amp , $wp, $the_query_cfp, $wp_query, $page;
$post_id = $redux_builder_amp['amp-frontpage-select-option-pages'];
$template = new AMP_Post_Template( $post_id );?>
<!doctype html>
<html amp <?php echo AMP_HTML_Utils::build_attributes_string( $template->get( 'html_tag_attributes' ) ); ?>>
<head>
	<meta charset="utf-8">
    <link rel="dns-prefetch" href="https://cdn.ampproject.org">
	<?php do_action( 'amp_post_template_head', $template ); ?>
	<style amp-custom>
	 
	<?php do_action( 'amp_post_template_css', $template ); ?>
	</style>
</head>
<?php $rtlclass = $redux_builder_amp['amp-rtl-select-option'] == true ? ' rtl' : ''; ?>
<body class="design_news_wrapper single-post<?php echo $rtlclass ?> <?php if(is_page()){ echo'amp-single-page'; };?>">
<?php do_action('ampforwp_body_beginning', $this); ?>
<?php $template->load_parts( array( 'header-bar' ) ); ?>
<?php do_action( 'ampforwp_after_header', $this ); ?>

<main>
	<article class="amp-wp-article"> 	
		<div class="amp-wp-content">
			<div class="singlepage-wrapper">
				<?php
				$pagebuilder_check = get_post_meta( $post_id ,'ampforwp_custom_sidebar_select',true);
		// Layout-bulder check
		if ( $pagebuilder_check != 'layout-builder') {
				?>
				<div class="page-title">
						<h1 > <?php
							$ampforwp_title = $template->get( 'post_title' ) ;
							$ampforwp_title =  apply_filters('ampforwp_filter_single_title', $ampforwp_title);
							echo wp_kses_data( $ampforwp_title ); ?>
						</h1>
						<?php do_action('ampforwp_below_the_title',$this); ?>
				</div>
				<?php if( is_page() || is_home() && $redux_builder_amp['meta_page'] ) { ?>
				<div class="author-info" >
						<?php $post_author = $template->get( 'post_author' ); ?>
						<span class="author-by"> <?php echo ampforwp_translation($redux_builder_amp['amp-theme-translator-by-text'], 'By'); ?></span>
						<span class="author-name"><a href="<?php echo esc_url(ampforwp_url_controller(get_author_posts_url($post_author->ID))) ?>"><strong><?php echo esc_html( $post_author->display_name)?></strong></a></span>
						<span>-</span> 
						<span class="post-date"><?php echo the_modified_date( get_option( 'date_format' ) ) ?>						
						</span>
				</div><!-- /.author-info --><?php } ?>
				<div class="singlepage-socialicons">
						<?php $template->load_parts( array( 'social-icons' ) ); ?>
				</div><!-- /.singlepage-socialicons -->
					
				<?php $template->load_parts( array( 'featured-image' ) ); ?>
				<?php } // Layout-bulder check ?>
 				<?php $current_url="http://".$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
				$url_check  = explode('/', $current_url);
				global $subdomain_checker;
				$subdomain_checker = ( function_exists('ampforwp_get_setting') && true == ampforwp_get_setting('amp-subdomain-url-format') && 'subdomain' == ampforwp_get_setting('amp-subdomain-endpoint') );
				//print_r($current_url);print_r($url_check);				
				if((in_array('amp', $url_check) || $subdomain_checker == 1 || in_array('?amp', $url_check)) && in_array('page', $url_check) ) { ?>
 				<div class="amp-wp-content">
				<div class="index-page">
			    <?php 
		    global $the_query_cfp, $wp_query, $page;	

			    //$count = 1;
			if ( get_query_var( 'paged' ) ) {
		        $paged = get_query_var('paged');
		    } elseif ( get_query_var( 'page' ) ) {
		        $paged = get_query_var('page');
		    } else {
		        $paged = 1;
		    }

		    $the_query_cfp = new WP_Query( array(
	    	'post_type'          => 'post',
	    	'paged' => $paged,
	    	'post_status'=> 'publish',
	       	'orderby'        => 'date',
	    	'order'          => 'DESC',
	      	'posts_per_page' => 10,
	   ));
	
	if ( $the_query_cfp->have_posts() ) : while ( $the_query_cfp->have_posts() ) :$the_query_cfp->the_post();			      

		global $subdomain_checker;
        $subdomain_checker = ( function_exists('ampforwp_get_setting') && true == ampforwp_get_setting('amp-subdomain-url-format') && 'subdomain' == ampforwp_get_setting('amp-subdomain-endpoint') );
        if($subdomain_checker == 1){
		  		$ampforwp_amp_post_url = trailingslashit( get_permalink() );
		  	}
		  		else{
		  			$ampforwp_amp_post_url = trailingslashit( get_permalink() ) . AMPFORWP_AMP_QUERY_VAR ;
		  		}
		  		$ampforwp_amp_post_url  = trailingslashit( $ampforwp_amp_post_url );
					 
			  			if( in_array( 'ampforwp-custom-type-amp-endpoint' , $redux_builder_amp ) ) {
			  		if ( isset($redux_builder_amp['ampforwp-custom-type-amp-endpoint']) && $redux_builder_amp['ampforwp-custom-type-amp-endpoint']) {
			  			$ampforwp_amp_post_url = trailingslashit( get_permalink() ) . '?amp';
			  		}
					}?>
				<div class="block-wrapper">
					<?php 
						global $subdomain_checker;
                        $subdomain_checker = ( function_exists('ampforwp_get_setting') && true == ampforwp_get_setting('amp-subdomain-url-format') && 'subdomain' == ampforwp_get_setting('amp-subdomain-endpoint') );	
					   global $redux_builder_amp; 
				       $width  = 460;
				       $height = 249;
					 if(ampforwp_has_post_thumbnail()){ $args = array("tag"=>'div',"tag_class"=>'image-container','image_size'=>'full','image_crop'=>'true','image_crop_width'=>$width,'image_crop_height'=>$height, 'responsive'=> true); ?>
				    <div class="block-image">
				    	<?php amp_loop_image($args); ?>
				    </div><?php } ?>
				    <!-- "block-content" -->
					<div class="b-c">
						<div class="title">
	          				<h3>
	          					<a href="<?php if($subdomain_checker==1){ echo ampforwp_font_url(esc_url( trailingslashit( $ampforwp_amp_post_url ) )); }
	          					else{
	          					echo esc_url( trailingslashit( $ampforwp_amp_post_url ) );		
	          					}
	          					?>">
	          							<?php the_title();?>

	          					</a>
	          				</h3>
	        			</div><!-- /title -->
	        			<div class="meta-wrapper">
						<div class="author-info">
	          				<span class="author-title"> 
	                              <?php the_author_meta('display_name');?>
	                        </span>
	          				<span class="posted-date"><?php global $redux_builder_amp; echo apply_filters('ampforwp_modify_post_date', ampforwp_translation($redux_builder_amp['amp-translator-on-text']. ' ', 'On') . get_the_date( get_option( 'date_format' ) ) )?>        			
	          				</span>
	        			</div><!-- /.author-info -->
	        			<div class="comments">
	        					<?php ampforwp_custom_theme_the_comments( get_the_ID() ); ?> 
	          			</div><!-- /.comments -->
	          			</div>
	          			<p><?php
	                  		if( has_excerpt() ) {
	                    		$content = get_the_excerpt();
	                  		} else {
	                    		$content = get_the_content();
	                  		} ?>
	                  		<?php echo wp_trim_words( strip_tags( strip_shortcodes( $content ) ) , '15'  ); ?>                    
	              		</p>
				</div><!-- /.block-content -->     			
				    	</div><!-- /.block-wrapper --> 
					<?php endwhile;  ?>
				<!-- "amp-wp-content pagination-holder" -->
					<div class="amp-wp-content p-h">
						<div class="next">
						<?php   //$testt = get_next_posts_link(); 
						$total_pages = $the_query_cfp->max_num_pages;
 
				    	if ($total_pages > 1 && $paged<$total_pages){

				        $current_page = max($paged, get_query_var('paged'));
				        
				        $previousPage = $current_page-1;
				        
				        $nextPage = $current_page+1;
				        if ( $total_pages > 1 && $subdomain_checker == 1) { 
        				
        				echo '<a href="'.ampforwp_url_controller(get_pagenum_link(1)).'page/'.$nextPage.'">'.ampforwp_translation ($redux_builder_amp['amp-translator-show-more-posts-text'] , 'Show more Posts' ).'</a>';
        			}
        			elseif( $total_pages > 1 ){
        				echo '<a href="'.get_pagenum_link(1).'page/'.$nextPage.'">'.ampforwp_translation ($redux_builder_amp['amp-translator-show-more-posts-text'] , 'Show more Posts' ).'</a>';
        			}
        			?>
        			</div>
        			<div class="prev">
        				<?php 
        				if ( $paged > 1 && $subdomain_checker == 1) { 
        					echo '<a href="'.ampforwp_url_controller(get_pagenum_link(1)).'page/'.$previousPage.'">'.ampforwp_translation($redux_builder_amp['amp-translator-show-previous-posts-text'], 'Show previous Posts').'</a>';
        				}
        				elseif($paged > 1){
        					echo '<a href="'.get_pagenum_link(1).'page/'.$previousPage.'">'.ampforwp_translation($redux_builder_amp['amp-translator-show-previous-posts-text'], 'Show previous Posts').'</a>';
        				}
        			}
        			?>
        			</div>
        			<div class="clearfix"></div>
					<?php endif; ?>
				   </div>
				</div>
				<?php wp_reset_postdata(); } ?>
				<?php wp_reset_query();  ?>
				<?php 
				global $subdomain_checker;
				$subdomain_checker = ( function_exists('ampforwp_get_setting') && true == ampforwp_get_setting('amp-subdomain-url-format') && 'subdomain' == ampforwp_get_setting('amp-subdomain-endpoint') );
				if((function_exists( 'ampforwp_is_amp_endpoint' ) && ampforwp_is_amp_endpoint()) && !in_array('page', $url_check) ) { ?>
				<div class="post-content frontPage"> <?php
					$amp_custom_content_enable = get_post_meta( $template->get( 'post_id' ) , 'ampforwp_custom_content_editor_checkbox', true);
					// Normal Front Page Content
					if ( ! $amp_custom_content_enable ) {
						$ampforwp_the_content = $template->get( 'post_amp_content' ); // amphtml content; no kses
					} else {
					// Custom/Alternative AMP content added through post meta
					$ampforwp_the_content = $template->get( 'ampforwp_amp_content' );
					} 
					//pagination start here
					if($redux_builder_amp['amp-pagination']) {
						$ampforwp_new_content = explode('<!--nextpage-->', $ampforwp_the_content);
		    			$queried_var = get_query_var('page');
		    			if ( $queried_var > 1 ) {
		      					$queried_var = $queried_var -1   ;
		   				 }
		    			else{
		    	 				$queried_var = 0;
		   				 }
		    			echo $ampforwp_new_content[$queried_var];
	 				} else{
	 						echo $ampforwp_the_content;
	 				} //pagination end here
					do_action('ampforwp_after_post_content',$this) ; //Post After Content here ?>
					</div> <?php } ?><!-- /.post-content -->				 
			</div><!-- /.singlepage-wrapper -->
		</div><!-- /.amp-wp-content -->	
	</article>
</main>
<?php do_action( 'amp_post_template_above_footer', $this ); ?>
<?php $template->load_parts( array( 'footer' ) ); ?>
<?php do_action( 'amp_post_template_footer', $template ); ?>
</body>
</html>