<?php global $redux_builder_amp, $nofollow;
  wp_reset_postdata();
  global $post;
  $ampforwp_backto_nonamp = '';
  if ( is_home() ) {
    if($redux_builder_amp['amp-mobile-redirection']==1)
       $ampforwp_backto_nonamp = trailingslashit(home_url()).'?nonamp=1' ;
    else
       $ampforwp_backto_nonamp = trailingslashit(home_url()) ;
  }
  if ( is_single() ){
    if($redux_builder_amp['amp-mobile-redirection']==1)
      $ampforwp_backto_nonamp = trailingslashit(get_permalink( $post->ID )).'?nonamp=1' ;
    else
      $ampforwp_backto_nonamp = trailingslashit(get_permalink( $post->ID )) ;
  }
  if ( is_page() ){
    if($redux_builder_amp['amp-mobile-redirection']==1)
        $ampforwp_backto_nonamp = trailingslashit(get_permalink( $post->ID )).'?nonamp=1';
    else
      $ampforwp_backto_nonamp = trailingslashit(get_permalink( $post->ID ));
  }
  if( is_archive() ) {
    global $wp;
    if($redux_builder_amp['amp-mobile-redirection']==1){
        $ampforwp_backto_nonamp = esc_url( untrailingslashit(home_url( $wp->request )).'?nonamp=1'  );
        $ampforwp_backto_nonamp = preg_replace('/\/amp\?nonamp=1/','/?nonamp=1',$ampforwp_backto_nonamp);
      }
    else{
        $ampforwp_backto_nonamp = esc_url( untrailingslashit(home_url( $wp->request )) );
        $ampforwp_backto_nonamp = preg_replace('/amp/','',$ampforwp_backto_nonamp);
      }
  }
  ?>

  <footer class="footer_wrapper container">
    
      <div id="footer">
         <?php if ( is_active_sidebar( 'swift-footer-widget-area'  ) ) { ?>
          <div class="f-w-blk">
              <div class="amp-nt-f-w">
                <?php 
                $sanitized_sidebar = ampforwp_sidebar_content_sanitizer('swift-footer-widget-area');
                if ( $sanitized_sidebar) {
                  $sidebar_output = $sanitized_sidebar->get_amp_content();
                  $sidebar_output = apply_filters('ampforwp_modify_sidebars_content',$sidebar_output);
                } 
                echo do_shortcode($sidebar_output); 
                ?>
              </div>
          </div>
        <?php } ?>  
        <?php if ( has_nav_menu( 'amp-footer-menu' ) ) { ?>
        <?php } ?>
        <div class="footer-part-1">
           <div class="footer-logo">
              <?php global $redux_builder_amp, $subdomain_checker;
                $set_rel_to_noamp=false;                
        $subdomain_checker = ( function_exists('ampforwp_get_setting') && true == ampforwp_get_setting('amp-subdomain-url-format') && 'subdomain' == ampforwp_get_setting('amp-subdomain-endpoint') );

             if( $redux_builder_amp['amp-footer-on-off-support-for-non-amp-home-page'] ) {
                if( $redux_builder_amp['amp-mobile-redirection'] ) {
                  $ampforwp_home_url = trailingslashit( get_bloginfo('url') ).'?nonamp=1';
                  $set_rel_to_noamp = true;
                  } else {
                    $ampforwp_home_url = trailingslashit( get_bloginfo('url') );
                 }
        } else {
                 if($redux_builder_amp['ampforwp-homepage-on-off-support']) {
                  if($subdomain_checker == 1) 
                    $ampforwp_home_url = ampforwp_font_url(trailingslashit( trailingslashit( get_bloginfo('url') ) )); 
                  else
                    $ampforwp_home_url = trailingslashit( trailingslashit( get_bloginfo('url') ) . AMPFORWP_AMP_QUERY_VAR );
                 } else {
                        if( $redux_builder_amp['amp-mobile-redirection'] ) {
                          $ampforwp_home_url = trailingslashit( get_bloginfo('url') ).'?nonamp=1';
                          $set_rel_to_noamp = true;
                         } else {
                          $ampforwp_home_url = trailingslashit( get_bloginfo('url') );
                         }
                }
          }?>

        <?php if ( true == ($redux_builder_amp['opt-footer-media']['url']) ) {  ?>
          <a href="<?php echo esc_url( $ampforwp_home_url ); ?>"  <?php if($set_rel_to_noamp){ echo ' rel="nofollow"'; } ?>  >

            <?php if($redux_builder_amp['ampforwp-custom-footer-logo-dimensions'] == true)  { ?>

                 <amp-img src="<?php echo $redux_builder_amp['opt-footer-media']['url']; ?>" width="<?php echo $redux_builder_amp['opt-media-footer-logo-width']; ?>" height="<?php echo $redux_builder_amp['opt-media-footer-logo-height']; ?>" alt="logo" ></amp-img>

            <?php } else { ?>

               <amp-img src="<?php echo $redux_builder_amp['opt-footer-media']['url']; ?>" width="230" height="77" alt="logo" ></amp-img>

            <?php } ?>

          </a>
        <?php } else { ?>
          <h1><a href="<?php echo esc_url( $ampforwp_home_url ); ?>"  <?php if($set_rel_to_noamp){ echo ' rel="nofollow"'; } ?>  ><?php bloginfo('name'); ?></a></h1>
        <?php } ?>
           </div><!-- /.footer-logo -->
           <div class="footer-part-content <?php if(! $redux_builder_amp['ampforwp-footor-about-us'] ) {?> hide-footer-content-info <?php  }?>">
              <div class="footer-title">
              <?php if($redux_builder_amp['ampforwp-footor-about-us'] == true)  {?>
                  

                  <h3> <?php global $allowed_html; echo wp_kses( ampforwp_translation($redux_builder_amp['amp-theme-translator-about-us-text'], 'Footer') ,$allowed_html ); ?> </h3><?php }?>
              </div><!-- /.footer-title -->
              <div class="footer-content">
                <?php if($redux_builder_amp['ampforwp-footor-about-us'] == true)  {
                      echo $redux_builder_amp['amp-footer-about-us-text-area'] ;}?>
              </div><!-- /.footer-content -->
           </div><!-- /.footer-part-content 
           <div class="footer-email">
              contact us:<a href="mailto:contact@yoursite.com">contact@yoursite.com</a>
           </div><!/.footer-email -->
        
        <?php if( ampforwp_checking_any_social_profiles() && $redux_builder_amp['amp-theme-enable-footer-social'] ) { ?>
          <div class="social_icons">
             <span class="social-icons-title"> <?php global $allowed_html; echo wp_kses( ampforwp_translation($redux_builder_amp['amp-theme-translator-follow-us-text'], 'Footer') ,$allowed_html ); ?></span>
            <ul>
            <?php global $redux_builder_amp;
            if( $redux_builder_amp['enable-single-twittter-profile'] && $redux_builder_amp['enable-single-twittter-profile-url'] !== '') { ?>
              <li class="icon-twitter" aria-label="Twitter"><a href="<?php echo $redux_builder_amp['enable-single-twittter-profile-url']; ?>" target ="_blank" aria-label="Twitter"></a></li>
              <?php } ?>

              <?php global $redux_builder_amp;
              if( $redux_builder_amp['enable-single-facebook-profile']  && $redux_builder_amp['enable-single-facebook-profile-url'] !== '') { ?>
              <li class="icon-facebook" aria-label="facebook">
                <a href="<?php echo $redux_builder_amp['enable-single-facebook-profile-url']; ?>" target ="_blank" aria-label="facebook"></a></li>
              <?php } ?>

              <?php global $redux_builder_amp;
              if( $redux_builder_amp['enable-single-pintrest-profile']  && $redux_builder_amp['enable-single-pintrest-profile-url'] !== '') { ?>
              <li class="icon-pinterest" aria-label="pinterest"><a href="<?php echo $redux_builder_amp['enable-single-pintrest-profile-url']; ?>" target ="_blank" aria-label="pintrest"></a></li>
              <?php } ?>

              <?php global $redux_builder_amp;
              if( $redux_builder_amp['enable-single-google-plus-profile']  && $redux_builder_amp['enable-single-google-plus-profile-url'] !== '') { ?>
              <li class="icon-google-plus" aria-label="google-plus">
                <a href="<?php echo $redux_builder_amp['enable-single-google-plus-profile-url']; ?>" target ="_blank"></li></a>
              <?php } ?>

              <?php global $redux_builder_amp;
              if( $redux_builder_amp['enable-single-linkdin-profile']  && $redux_builder_amp['enable-single-linkdin-profile-url'] !== '') { ?>
               <li class="icon-linkedin" aria-label="linkedin">
              <a href="<?php echo $redux_builder_amp['enable-single-linkdin-profile-url']; ?>" target ="_blank"></li></a>
              <?php } ?>

              <?php global $redux_builder_amp;
              if( $redux_builder_amp['enable-single-youtube-profile']  && $redux_builder_amp['enable-single-youtube-profile-url'] !== '') { ?>
              <li class="icon-youtube-play" aria-label="youtube-play"><a href="<?php echo $redux_builder_amp['enable-single-youtube-profile-url']; ?>" target ="_blank" aria-label="youtube-play"></a></li>
              <?php } ?>

              <?php global $redux_builder_amp;
              if( $redux_builder_amp['enable-single-instagram-profile']  && $redux_builder_amp['enable-single-instagram-profile-url'] !== '') { ?>
                <li class="icon-instagram" aria-label="instagram"><a href="<?php echo $redux_builder_amp['enable-single-instagram-profile-url']; ?>" target ="_blank"></a></li>
              <?php } ?>

              <?php global $redux_builder_amp;
              if( $redux_builder_amp['enable-single-reddit-profile']  && $redux_builder_amp['enable-single-reddit-profile-url'] !== '') { ?>
              <li class="icon-reddit-alien"><a href="<?php echo $redux_builder_amp['enable-single-reddit-profile-url']; ?>" target ="_blank"></a></li>
              <?php } ?>

              <?php global $redux_builder_amp;
              if( $redux_builder_amp['enable-single-VKontakte-profile']  && $redux_builder_amp['enable-single-VKontakte-profile-url'] !== '') { ?>
              <li class="icon-vk"><a href="<?php echo $redux_builder_amp['enable-single-VKontakte-profile-url']; ?>" target ="_blank"></a></li>
              <?php } ?>

              <?php global $redux_builder_amp;
              if( $redux_builder_amp['enable-single-snapchat-profile']  && $redux_builder_amp['enable-single-snapchat-profile-url'] !== '') { ?>
              <li class="icon-snapchat-ghost"><a href="<?php echo $redux_builder_amp['enable-single-snapchat-profile-url']; ?>" target ="_blank"></a></li>
              <?php } ?>

              <?php global $redux_builder_amp;
              if( $redux_builder_amp['enable-single-Tumblr-profile']   && $redux_builder_amp['enable-single-Tumblr-profile-url'] !== '') { ?>
              <li class="icon-tumblr"><a href="<?php echo $redux_builder_amp['enable-single-Tumblr-profile-url']; ?>" target ="_blank"></a></li>
              <?php } ?>

            </ul>
          </div>
          <?php } ?>

        </div><!-- /.footer-part -->
      </div>
      <div class="footer-part-2">
        <?php if(isset($redux_builder_amp['footer-menu-2']) && $redux_builder_amp['footer-menu-2'] == 1 ){?>
          <div class="footer-menu"> <?php
              $menu = wp_nav_menu( array(
                  'theme_location' => 'amp-footer-menu',
                  'echo' => false
              ) );
              echo strip_tags( $menu , '<ul><li><a>'); ?>
          </div>  
        <?php } ?>
        <div class="footer-copyright">
            <p class="rightslink">
              <?php
                global $allowed_html;
                echo wp_kses( ampforwp_translation($redux_builder_amp['amp-translator-footer-text'], 'Footer') ,$allowed_html) ;
                ?>
                <?php
                //24. Added an options button for switching on/off link to non amp page
                if($redux_builder_amp['ampforwp-nofollow-view-nonamp'] == 1 ){
                  $nofollow = 'rel=nofollow';}
                 
                if ( $ampforwp_backto_nonamp &&  ($redux_builder_amp['amp-theme-enable-view-non-amp'] == true)) { ?> <span class="news_foo_sep">|</span> <a href="<?php echo $ampforwp_backto_nonamp;?>" <?php echo ($nofollow); ?>><?php echo ampforwp_translation( $redux_builder_amp['amp-translator-non-amp-page-text'], 'View Non-AMP Version' ) ;?> </a><?php } ?>                  
            </p>
            <?php do_action('amp_footer_link'); ?>
            <div class="back-to-toplink">
             <?php  
             if ( '1' == $redux_builder_amp['ampforwp-footer-top-amp-newspaper-theme'] ) { ?>
              <p class="rightslink back-to-top">
                <?php  amp_newspaper_back_to_top_link(); ?> </p> <?php } ?>
          </div><!-- /back to top link -->
            <?php global $redux_builder_amp; if( $redux_builder_amp['amp-design-3-credit-link'] ) { ?>
            <p class="poweredby">
                <a href="https://ampforwp.com" rel="nofollow">Powered by AMPforWP</a>
            <p>
              <?php } ?>
        </div><!-- /.footer-copy-right -->
      </div><!-- /.footer-part-2 -->
  </footer>
</div><!--Design3 Ends-->
<?php do_action('ampforwp_global_after_footer'); ?>