<?php global $redux_builder_amp, $bodyClass; ?>
<!doctype html>
<html amp <?php echo AMP_HTML_Utils::build_attributes_string( $this->get( 'html_tag_attributes' ) ); ?>>
<head>
	<meta charset="utf-8">
	<?php do_action('amp_experiment_meta');?>
    <link rel="dns-prefetch" href="https://cdn.ampproject.org">
	<?php do_action( 'amp_post_template_head', $this ); ?>
	<style amp-custom>
	<?php do_action( 'amp_post_template_css', $this ); ?>
	</style>
</head>
<?php
   if( isset($redux_builder_amp['amp-rtl-select-option']) && true == $redux_builder_amp['amp-rtl-select-option'] ){
    	$bodyClass .= ' rtl ';
    }else{
    	$bodyClass .= ' ';
    }?>
<body class="design_news_wrapper single-post <?php echo $bodyClass; ?> <?php if(is_page()){ echo'amp-single-page'; };?>">
<?php do_action('ampforwp_body_beginning', $this);
	  do_action('ampforwp_reading_progress_bar'); ?>
<?php $this->load_parts( array( 'header-bar' ) ); ?>
<?php do_action( 'ampforwp_after_header', $this ); ?>

<main>
	<article class="amp-wp-article"> 	
		<div class="amp-wp-content">
			<div class="singlepage-wrapper">
		<?php
		$pagebuilder_check = get_post_meta( get_the_ID(),'ampforwp_custom_sidebar_select',true);	
		// Layout-bulder check
		if ( $pagebuilder_check != 'layout-builder') {
				$this->load_parts( array( 'bread-crumbs' ) ); ?>
			<div class="category-single">    
                <?php global $redux_builder_amp, $subdomain_checker;                
                $subdomain_checker = ( function_exists('ampforwp_get_setting') && true == ampforwp_get_setting('amp-subdomain-url-format') && 'subdomain' == ampforwp_get_setting('amp-subdomain-endpoint') );
                     $ampforwp_cat=  get_the_terms( $this->ID, 'post_cat' );    
                    if($ampforwp_cat){ ?>
                        <ul>
                     <?php foreach((get_the_category()) as $category) {
                  if( isset($redux_builder_amp['amp-cats-single']) && $redux_builder_amp['amp-cats-single']){
                            echo '<li>';
                            $linkend='';
                            $link ='';
                           if( isset($redux_builder_amp['amp-cats-tags-links-single']) && $redux_builder_amp['amp-cats-tags-links-single']) {
                           	if(ampforwp_get_setting('ampforwp-archive-support-cat') == true && ampforwp_get_setting('ampforwp-archive-support') == true){
 	                        if($subdomain_checker == 1){
 	                        	$link=ampforwp_font_url(trailingslashit( trailingslashit( get_category_link( $category->term_id ) ) ) ) ;
 	                        }else
 	                        {
                           		$link=trailingslashit( trailingslashit( get_category_link( $category->term_id ) ).'amp') ;
 	                        }
                           	}
 	                                  echo	'<a href="'.$link. '" >';
 	                                $linkend='</a>';
                            }
                            echo $category->cat_name ;
                        	echo $linkend;
                        	echo'</li>';
                        }
                    }
                            ?>
                        </ul>
                    <?php 
                    } ?>	
			</div>

				<div class="page-title">
						<h1 > <?php 
							$ampforwp_title = $this->get( 'post_title' ) ;
							$ampforwp_title =  apply_filters('ampforwp_filter_single_title', $ampforwp_title);
							echo wp_kses_data( $ampforwp_title ); ?>
						</h1>
			<?php
			$td_post_meta = get_post_meta(get_the_ID(), 'td_post_theme_settings', true);
			if(!empty($td_post_meta['td_subtitle']) && class_exists('td_module_single')){
				echo '<p class="td-post-sub-title">'.$td_post_meta['td_subtitle'].'</p>';
			}
			
			if($redux_builder_amp['enable-excerpt-single']) {
                        
                function npamp_feature_image_excerpt(){
                    global $redux_builder_amp;
		                  if ( 1 == $redux_builder_amp['enable-excerpt-single'] ) {
		              
		                    if(has_excerpt()){ ?>
		                      <div class="ampforwp_single_excerpt">
		                      <p>
		                        <?php $content = get_the_excerpt();
		                        echo $content; ?>
		                      </p>
		                      </div>
		                    <?php }
		                  }
                } 
            }
              
       
if ( 1 == $redux_builder_amp['enable-excerpt-single'] ) {
      add_action('ampforwp_after_featured_image_hook','npamp_feature_image_excerpt');
  }

  if (isset($redux_builder_amp['design-1-2-3-addthis-pos']) && 'below-content' == $redux_builder_amp['design-1-2-3-addthis-pos']){
      add_action('ampforwp_after_post_content','addthis_for_amp_nwp_theme') ;

  }
  if (isset($redux_builder_amp['design-1-2-3-addthis-pos']) && 'above-content' == $redux_builder_amp['design-1-2-3-addthis-pos']){
      add_action('ampforwp_before_post_content','addthis_for_amp_nwp_theme') ;
  }

      function addthis_for_amp_nwp_theme(){

      	echo ampforwp_addThis_support();
      }

    ?>
	
						<?php do_action('ampforwp_below_the_title',$this); ?>
				</div>
				<?php if($redux_builder_amp['meta-single'] && is_single()) { ?>
				<div class="author-info" >
						<?php $post_author = $this->get( 'post_author' );
						$author_avatar_url = get_avatar_url( $post_author->user_email, array( 'size' => 100 ) );?>
						<span class="author-by">
							<?php if(isset($redux_builder_amp['author-img']) && $redux_builder_amp['author-img'] == 1 ) {?>
								<amp-img src="<?php echo $author_avatar_url; ?>" width="20" height="20" alt="gravatar" class="amp-theme-author-img"></amp-img><?php } ?>
							<?php echo ampforwp_translation($redux_builder_amp['amp-theme-translator-by-text'], 'By'); ?></span>
						<span class="author-name"><a href="<?php echo esc_url(ampforwp_url_controller(get_author_posts_url($post_author->ID))) ?>"><strong><?php echo esc_html( $post_author->display_name)?></strong></a></span>
						<?php if(isset($redux_builder_amp['amp-design-3-date-feature']) && $redux_builder_amp['amp-design-3-date-feature'] == 1 ){ ?>
						<span>-</span>
						<span class="post-date">
						<?php	global $redux_builder_amp;					 
					   $date = get_the_date( get_option( 'date_format' ));
					  if( 1 == $redux_builder_amp['ampforwp-post-date-global'] && true == $redux_builder_amp['ampforwp-post-time']){
					     $date = get_the_date( get_option( 'date_format' )) . ', ' . get_the_time();
					  }
					  elseif( 2 == $redux_builder_amp['ampforwp-post-date-global'] && true == $redux_builder_amp['ampforwp-post-time'] ){
					    $date = get_the_modified_date( get_option( 'date_format' ) ) . ', ' . get_the_modified_time() ;
					  }
  			echo esc_attr(apply_filters('ampforwp_modify_post_date', ampforwp_translation($redux_builder_amp['amp-translator-on-text'], 'On') . ' ' . $date )) ?></span> <?php } ?>
 				</div><!-- /.author-info --><?php } ?>

				<?php if($redux_builder_amp['meta_page'] && is_page()) { ?>
				<div class="author-info" >
						<?php $post_author = $this->get( 'post_author' ); ?>
						<span class="author-by"> <?php echo ampforwp_translation($redux_builder_amp['amp-theme-translator-by-text'], 'By'); ?><strong> <?php echo esc_html( $post_author->display_name ); ?></strong></span>
						<span>-</span>
						<span class="post-date"><?php  global $redux_builder_amp; echo apply_filters('ampforwp_modify_post_date', ampforwp_translation($redux_builder_amp['amp-translator-on-text']. ' ', 'On') . get_the_date( get_option( 'date_format' ) ) ) ?>							
						</span>
				</div><!-- /.author-info --><?php } ?>


				<?php if(isset($redux_builder_amp['namp-enable-single-social-top']) && $redux_builder_amp['namp-enable-single-social-top']) { ?> 
				<div class="singlepage-socialicons">
						<?php $this->load_parts( array( 'social-icons' ) ); ?>
				</div><!-- /.singlepage-socialicons --> <?php } ?>
					
				<?php $this->load_parts( array( 'featured-image' ) ); ?>
				<?php

				// Featured Video Support For Newspaper 8 users #21
					$post_id = get_the_ID();
					if(get_post_format($post_id) =='video'){
						$meta = get_post_meta(get_the_ID(), '', true);
						if($meta['td_post_video']){
							foreach ($meta['td_post_video'] as $key => $value) {
							$meta_value= explode('"',$value);
							$Fv_url = explode('/',$meta_value[3]);
							$Fv_url = preg_replace('/watch\?v=/', 'embed/', $Fv_url);
							$Fv_url = preg_replace('/youtu.be/si', 'www.youtube.com/embed', $Fv_url);
							$new_Fv_url = implode('/',$Fv_url);	
							}?>	
								<amp-iframe
									height=200
									width=300
									layout="responsive"
									sandbox="allow-scripts allow-same-origin"
									src="<?php echo esc_url($new_Fv_url); ?>" 
									frameborder="0"
									allowfullscreen>
								</amp-iframe><?php
							
						}
						
				}

				 } // Layout-bulder check ?>	
				<div class="post-content"> <?php
					do_action('ampforwp_before_post_content',$this); //Post before Content here
					$amp_custom_content_enable = get_post_meta( $this->get( 'post_id' ) , 'ampforwp_custom_content_editor_checkbox', true);
					// Normal Front Page Content
					if ( ! $amp_custom_content_enable ) {
						$ampforwp_the_content = $this->get( 'post_amp_content' ); // amphtml content; no kses
					} else {
					// Custom/Alternative AMP content added through post meta
					$ampforwp_the_content = $this->get( 'ampforwp_amp_content' );
					}
					//Filter to modify the Content
					$ampforwp_the_content = apply_filters('ampforwp_modify_the_content', $ampforwp_the_content);
					//pagination start here
					if($redux_builder_amp['amp-pagination']) {
						$ampforwp_new_content = explode('<!--nextpage-->', $ampforwp_the_content);
		    			$queried_var = get_query_var('paged');
		    			if ( $queried_var > 1 ) {
		      					$queried_var = $queried_var -1   ;
		   				 }
		    			else{
		    	 				$queried_var = 0;
		   				 }
		    			echo $ampforwp_new_content[$queried_var];
	 				} else{
	 						echo $ampforwp_the_content;
	 				} //pagination end here
	 				// Review 
						if($redux_builder_amp['review-single']==1){
							global $td_review;
						$meta = get_post_meta(get_the_ID(), 'td_post_theme_settings', true);
						
						if(class_exists('td_review') && is_single() ){
			
								if (!empty($meta['has_review']) and (
	                					!empty($meta['p_review_stars']) or
	                					!empty($meta['p_review_percents']) or
	                					!empty($meta['p_review_points'])
	            						)
            						) {

									$ratings = td_review::render_stars($meta);
									$ratings_sanitizer = new AMPFORWP_Content( $ratings, array(), 
								apply_filters( 'ampforwp_content_sanitizers',
											array( 
													'AMP_Style_Sanitizer' 		=> array()
												)
											));

									$ratings_desc 		= $ratings_sanitizer->get_amp_content();
									$tables = td_review::render_table($meta);
									$tables_sanitizer = new AMPFORWP_Content( $tables, array(), 
										apply_filters( 'ampforwp_content_sanitizers',
											array( 
												'AMP_Style_Sanitizer' 		=> array()
											)
										));
									$table_desc 		= $tables_sanitizer->get_amp_content();
									//echo $ratings_desc;
									echo $table_desc;

								} 
							}
							}
					do_action('ampforwp_after_post_content',$this) ; //Post After Content here ?>
				</div><!-- /.post-content -->
				<?php

				if( is_single() ) { ?>
				 <?php if(class_exists('td_module_single_base') && is_single()){ ?>
						<div class="source-and-via"> <?php
							global $post;
							$td = new td_module_single_base($post); ?>
							<?php echo $td->get_source_and_via(); ?>
						</div> <?php } // Via and Source display when Newspaper by tagdiv is activated?> 
					<?php if($redux_builder_amp['amp-tag']){ ?>
					<div class="tags-list">
						<?php 
		                     $ampforwp_tags=  get_the_terms( $this->ID, 'post_tag' );    
                         	if( $ampforwp_tags ){    
		                     global $allowed_html; 
		                     if(isset($redux_builder_amp['amp-theme-translator-tag-text']) && !empty($redux_builder_amp['amp-theme-translator-tag-text']) && function_exists('ampforwp_translation') ){
		                     $tag_text =  wp_kses( ampforwp_translation($redux_builder_amp['amp-theme-translator-tag-text'], 'Tag') ,$allowed_html ); 
		                     }else{
		                     	$tag_text = 'Tags';
		                       }?>
		                    	<ul>
			                    	 <li><span class="tagremove" ><?php echo $tag_text; ?></span></li>
			                    	<?php
			                    	foreach ( $ampforwp_tags as $tag ) {
			                    		 echo '<li>';
                            $taglink = $taglinkend = '';
							if( isset($redux_builder_amp['amp-cats-tags-links-single']) && $redux_builder_amp['amp-cats-tags-links-single']) {
							                                 
                         if(ampforwp_get_setting('ampforwp-archive-support-tag') == true && ampforwp_get_setting('ampforwp-archive-support') == true){
                         	if($subdomain_checker == 1)
                         		$taglink=ampforwp_font_url(trailingslashit( trailingslashit( get_category_link( $tag->term_id ) )) ) ;				  	
							  }else{
							  	$taglink=trailingslashit( trailingslashit( get_category_link( $tag->term_id ) ).'amp') ;
							  }
                         echo  '<a href="'.$taglink. '" >';
                                  $taglinkend='</a>';
                            }
                            echo $tag->name;
                          echo $taglinkend;
                          echo'</li>';
			                    	} ?>
			                    <ul><?php
		                    }?>   
					</div><!-- /.tags-list --><?php } ?>
					<?php do_action( 'ampforwp_random_sponsored_posts_display', $this ); ?>
					<?php if(isset($redux_builder_amp['namp-enable-single-social-bottom']) && $redux_builder_amp['namp-enable-single-social-bottom'] ) { ?> 
					<div class="singlepage-socialicons amp-socialicons">
								<?php $this->load_parts( array( 'social-icons' ) ); ?>			
					</div><!-- /.singlepage-socialicons --> <?php }
				} // is_single() 
			if ( $pagebuilder_check != 'layout-builder') {
				if($redux_builder_amp['namp-enable-single-next-prev'] && !is_page() ) { ?>
				<div class="singlepage-articles">				
					<div class="previous-article">
						<?php $prev_post = get_previous_post();
	                    if (!empty( $prev_post )) { ?>
	                    <span><?php echo ampforwp_translation($redux_builder_amp['amp-theme-translator-previous-article-text'], 'Previous article'); ?></span>
	                    <a href="<?php if($subdomain_checker == 1)
	                    echo ampforwp_font_url(trailingslashit( trailingslashit(get_permalink( $prev_post->ID )))) ;
	                    else
	                    echo trailingslashit( trailingslashit(get_permalink( $prev_post->ID )) . AMPFORWP_AMP_QUERY_VAR) ;
	                     ?>">
	                    	<?php echo $prev_post->post_title; ?>
	                    </a> <?php } ?>
					</div><!-- /.previous-articles -->					
					<div class="next-article">
	               		<?php $next_post = get_next_post();
	                    if (!empty( $next_post )) { ?>
	                    <span><?php echo ampforwp_translation($redux_builder_amp['amp-theme-translator-next-article-text'], 'Next article' ); ?></span> 
	                    <a href="<?php if($subdomain_checker == 1)
	                    echo ampforwp_font_url(trailingslashit( trailingslashit(get_permalink( $next_post->ID )) )) ;
	                    else
	                    echo trailingslashit( trailingslashit(get_permalink( $next_post->ID )) . AMPFORWP_AMP_QUERY_VAR) ;
	                     ?>">
	                    	<?php echo $next_post->post_title; ?>
	                    	<?php  
	                    	//trailingslashit( trailingslashit(get_permalink( $next_post->ID )) . AMPFORWP_AMP_QUERY_VAR) ;
	                    	//ampforwp_font_url(trailingslashit( trailingslashit(get_permalink( $next_post->ID )) )) ;
	                    	?>
	                    </a> <?php } ?>
					</div>
				</div> <?php } ?>
				<?php if($redux_builder_amp['author-box-single'] && is_single()) { ?>
				<div class="posted-author">
	    			<?php $post_author = $this->get( 'post_author' );
		            if ( $post_author ) {?>
		               <?php
		                	if ( is_plugin_active('wp-user-avatar/wp-user-avatar.php') ){?>
                              <?php $author_url_image = get_wp_user_avatar_src($post_author->user_email);?>
                              <amp-img src="<?php echo $author_url_image; ?>" width="96" height="96" alt="gravatar"></amp-img> 
                               <?php
		                	}
		                	else{?>
		                <?php $author_avatar_url = get_avatar_url( $post_author->user_email, array( 'size' => 100 ) );?>
		                    <amp-img src="<?php echo $author_avatar_url; ?>" width="96" height="96" alt="gravatar"></amp-img>
		                    <?php
		                } ?>

		                <div class="posted-author-details">	
		                <span class="author-title"> 
		                <a  class="author-title" href="<?php echo esc_html(ampforwp_url_controller(get_author_posts_url($post_author->ID))); ?>">
		                <strong><?php echo esc_html( $post_author->display_name ); ?></strong></a>	                	
		                </span>	                 
		                <a class="website-link" href="<?php echo $post_author->user_url;?>" aria-label="website link" >
		                <?php echo $post_author->user_url;?>	
		                </a>
	           	        <p> <?php echo  $post_author->description ; ?></p>
						</div>
		       		 <?php } ?>		
				</div><!-- /.posted-author -->
				<?php } ?>
				<!-- start Related Posts -->
				<?php $this->load_parts( array( 'related-posts' ) );  ?>
				<!-- End Realated Post -->	
				<?php } ?>
			</div><!-- /.singlepage-wrapper -->
		</div><!-- /.amp-wp-content -->	
		<?php $this->load_parts( array( 'comments' ) ); ?>
		<?php do_action('ampforwp_post_after_design_elements'); ?>
	</article>
</main>
<?php do_action( 'amp_post_template_above_footer', $this ); ?>
<?php $this->load_parts( array( 'footer' ) ); ?>
<?php do_action( 'amp_post_template_footer', $this ); ?>
</body>
</html>